Bug 7663 - If JSP include a taglib, exception is throwed during page compilation.
If JSP include a taglib, exception is throwed during page compilation.
Status: CLOSED FIXED
Product: javaee
Classification: Unclassified
Component: Code
3.x
PC Linux
: P1 (vote)
: TBD
Assigned To: issues@javaee
issues@javaee
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-15 07:38 UTC by qruiz
Modified: 2003-07-02 08:27 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description qruiz 2000-09-15 07:38:08 UTC
The exception is:

------------------------------------------------------------------------------
java.lang.NullPointerException
	at java.io.FileInputStream.open(Native Method)
	at java.io.FileInputStream.<init>(FileInputStream.java:64)
	at
org.apache.jasper.compiler.TagLibraryInfoImpl.getResourceAsStream(TagLibraryInfoImpl.java:150)
	at
org.apache.jasper.compiler.TagLibraryInfoImpl.<init>(TagLibraryInfoImpl.java:168)
	at
org.apache.jasper.compiler.JspParseEventListener.handleDirective(JspParseEventListener.java:665)
	at
org.apache.jasper.compiler.DelegatingListener.handleDirective(DelegatingListener.java:116)
	at org.apache.jasper.compiler.Parser$Directive.accept(Parser.java:215)
	at org.apache.jasper.compiler.Parser.parse(Parser.java:1067)
	at org.apache.jasper.compiler.Parser.parse(Parser.java:1032)
	at org.apache.jasper.compiler.Parser.parse(Parser.java:1028)
	at org.apache.jasper.compiler.Compiler.compile(Compiler.java:182)
	at
org.netbeans.modules.web.core.jsploader.jakarta.JakartaServerPlugin$JakartaJspPlugin.compile(JakartaServerPlugin.java:291)
	at
org.netbeans.modules.web.core.jsploader.JspCompiler$Group.start(JspCompiler.java:231)
	at
org.netbeans.core.compiler.CompilationEngineImpl$CompilerThread$GroupCompiler.run(CompilationEngineImpl.java:255)
org.apache.jasper.JasperException: No se puede abrir la libreria de tags
isoco_taglib.tld : null
	at
org.apache.jasper.compiler.JspParseEventListener.handleDirective(JspParseEventListener.java:672)
	at
org.apache.jasper.compiler.DelegatingListener.handleDirective(DelegatingListener.java:116)
	at org.apache.jasper.compiler.Parser$Directive.accept(Parser.java:215)
	at org.apache.jasper.compiler.Parser.parse(Parser.java:1067)
	at org.apache.jasper.compiler.Parser.parse(Parser.java:1032)
	at org.apache.jasper.compiler.Parser.parse(Parser.java:1028)
	at org.apache.jasper.compiler.Compiler.compile(Compiler.java:182)
	at
org.netbeans.modules.web.core.jsploader.jakarta.JakartaServerPlugin$JakartaJspPlugin.compile(JakartaServerPlugin.java:291)
	at
org.netbeans.modules.web.core.jsploader.JspCompiler$Group.start(JspCompiler.java:231)
	at
org.netbeans.core.compiler.CompilationEngineImpl$CompilerThread$GroupCompiler.run(CompilationEngineImpl.java:255)
------------------------------------------------------------------------------

Thanks.
Comment 1 Petr Jiricka 2000-09-22 14:37:59 UTC
[1104] This bug only occurred if the WEB-INF/web.xml file did not exist. Not
even the cases when this file does not exist are handled correctly.
Comment 2 Quality Engineering 2003-07-02 08:27:47 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo